-- Do not manually edit this file, it was auto-generated by dillonkearns/elm-graphql
-- https://github.com/dillonkearns/elm-graphql


module ChemicalsApi.Object.ChemicalComponent exposing (..)

import ChemicalsApi.InputObject
import ChemicalsApi.Interface
import ChemicalsApi.Object
import ChemicalsApi.Scalar
import ChemicalsApi.Union
import CustomScalarCodecs
import Graphql.Internal.Builder.Argument as Argument exposing (Argument)
import Graphql.Internal.Builder.Object as Object
import Graphql.Internal.Encode as Encode exposing (Value)
import Graphql.Operation exposing (RootMutation, RootQuery, RootSubscription)
import Graphql.OptionalArgument exposing (OptionalArgument(..))
import Graphql.SelectionSet exposing (SelectionSet)
import Json.Decode as Decode


component : SelectionSet decodesTo ChemicalsApi.Object.Component -> SelectionSet decodesTo ChemicalsApi.Object.ChemicalComponent
component object_ =
    Object.selectionForCompositeField "component" [] object_ identity


percentage : SelectionSet Float ChemicalsApi.Object.ChemicalComponent
percentage =
    Object.selectionForField "Float" "percentage" [] Decode.float
